%define 	module	pynids
Summary:	Python wrapper for libnids, a Network Intrusion Detection System library
Name:		python-%{module}
Version:	0.6.1
Release:	3
License:	GPL v2
Group:		Development/Languages/Python
Source0:	http://jon.oberheide.org/pynids/downloads/pynids-%{version}.tar.gz
# Source0-md5:	6ce600d0130b0feec9a3797a27825d15
URL:		http://jon.oberheide.org/pynids/
BuildRequires:	glib2-devel
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pynids is a Python wrapper for libnids, a Network Intrusion Detection
System library offering sniffing, IP defragmentation, TCP stream
reassembly and TCP port scan detection. Let your own Python routines
examine network conversations.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Example
%attr(755,root,root) %{py_sitedir}/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pynids-*.egg-info
%endif
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pynids.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7a87b86
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 68469d0
- automatic change: use py_build/py_install macros

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> 100a4d4
- release 2

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 9ca8be9
- BR: glib2-devel, pkgconfig

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> e308951
- new

